"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _pluginAutoloader = _interopRequireDefault(require("./plugin-autoloader"));

exports.pluginAutoLoader = _pluginAutoloader["default"];

var _tabs = _interopRequireDefault(require("./tabs.js"));

exports.Tabs = _tabs["default"];

var _inPageNav = _interopRequireDefault(require("./in-page-nav.js"));

exports.InPageNav = _inPageNav["default"];

var _tracker = _interopRequireDefault(require("./tracker"));

exports.Tracker = _tracker["default"];

var _pluginizr = _interopRequireDefault(require("./pluginizr"));

exports.pluginizr = _pluginizr["default"];

var _eventr = _interopRequireDefault(require("./eventr"));

exports.eventr = _eventr["default"];

var _breakpoints = _interopRequireDefault(require("../../nds-core/src/breakpoints"));

exports.breakpoints = _breakpoints["default"];

var _utils = _interopRequireDefault(require("../../nds-core/src/utils"));

exports.utils = _utils["default"];
var nice = {
  init: function init(el) {
    // Load all component modules from this directory automatically, see http://stackoverflow.com/a/31770875/486434
    // But exclude test files http://stackoverflow.com/a/30372240
    _pluginAutoloader["default"].load(require.context("./../components/", true, /^((?!test\.).)*\.js$/im));

    _pluginAutoloader["default"].load(require.context("./", true, /^((?!test\.).)*\.js$/im));

    _pluginAutoloader["default"].findPlugins(el);
  },
  // Components
  InPageNav: _inPageNav["default"],
  Tabs: _tabs["default"],
  Tracker: _tracker["default"],
  // Utils
  pluginAutoLoader: _pluginAutoloader["default"],
  pluginizr: _pluginizr["default"],
  eventr: _eventr["default"],
  breakpoints: _breakpoints["default"],
  utils: _utils["default"]
};
exports["default"] = nice;

$.fn.nice = function () {
  nice.init(this);
}; // Export to global namespace for precompiled usage


window.NICE = window.NICE || {};
window.NICE.nice = nice;
//# sourceMappingURL=index.js.map